<?php
//  -------------------------------------------------------------------------//
//  Author: Kenogui - kenogui@bloodbowl-fr.com				     //
//  Version: 1.0							     //
//  ------------------------------------------------------------------------ //
//                XOOPS - Mod Rewrite			                     //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //

function replace_for_mod_rewrite(&$s)
{	
	//each urlin need a line in urlout
	$urlin = array(
	"'(?<!/\/)modules/news/\"'",
	"'(?<!/\/)article.php\?storyid=([0-9]*)\"'",
	"'(?<!/\/)article.php\?storyid=([0-9]*)\''",	
	"'(?<!/\/)modules/news/article.php\?storyid=([0-9]*)&amp;page=([0-9]*)'",
	"'(?<!/\/)index.php\?storytopic=([0-9]*)&amp;start=([0-9]*)'",
	"'(?<!/\/)index.php\?storytopic=([0-9]*)'",
	"'(?<!/\/)print.php\?storyid=([0-9]*)'",
	"'(?<!/\/)modules/news/archive.php\"'",
	"'(?<!/\/)archive.php\?year=([0-9]*)&amp;month=([0-9]*)'",
	"'(?<!/\/)modules/wfsection/\"'",
	"'(?<!/\/)modules/wfsection/index.php\?category=([0-9]*)'",
	"'(?<!/\/)index.php\?category=([0-9]*)'",
	"'(?<!/\/)modules/wfsection/article.php\?articleid=([0-9]*)'",
	"'(?<!/\/)modules/wfsection/article.php\?page=([0-9]*)&amp;articleid=([0-9]*)\''",
	"'(?<!/\/)modules/ipboard/\"'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showforum=([0-9]*)\"'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showforum=([0-9]*)\''",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showtopic=([0-9]*)\"'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showtopic=([0-9]*)\''",
	"'(?<!/\/)modules/ipboard/index.php\?showtopic=([0-9]*)'",	
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showforum=([0-9]*)&amp;prune_day=([0-9]*)&amp;sort_by=([\-_a-zA-Z0-9+]*)&amp;sort_key=([\-_a-zA-Z0-9+]*)&amp;st=([0-9]*)'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;act=idx'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;c=([0-9]*)'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showtopic=([0-9]*)&amp;view=getnewpost'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showtopic=([0-9]*)&amp;view=getlastpost'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;act=([\-_a-zA-Z0-9+]*)&amp;c=([0-9]*)'",
	"'(?<!/\/)modules/ipboard/index.php\?s=([a-zA-Z0-9+]*)&amp;showtopic=([0-9]*)&amp;st=([0-9]*)'",
	"'(?<!/\/)modules/ipboard/index.php\?act=([\-_a-zA-Z0-9+]*)&f=([0-9]*)&t=([0-9]*)&s=([a-zA-Z0-9+]*)&view=getlastpost'",
	"'(?<!/\/)modules/ipboard/index.php\?act=([\-_a-zA-Z0-9+]*)&f=([0-9]*)&t=([0-9]*)&s=([a-zA-Z0-9+]*)'",
	"'(?<!/\/)modules/mydownloads/\"'",
	"'(?<!/\/)modules/mydownloads/viewcat.php\?cid=([0-9]*)'",
	"'(?<!/\/)modules/mydownloads/singlefile.php\?cid=([0-9]*)&amp;lid=([0-9]*)'",
	"'(?<!/\/)modules/xoopsgallery/\"'",
	"'(?<!/\/)modules/xoopspoll/\"'",
	"'(?<!/\/)modules/mylinks/\"'",
	"'(?<!/\/)modules/mylinks/viewcat.php\?cid=([0-9]*)'",
	"'(?<!/\/)modules/mylinks/singlelink.php\?cid=([0-9]*)&amp;lid=([0-9]*)'",
	"'(?<!/\/)modules/xoopsmembers/\"'",
	"'(?<!/\/)modules/contact/\"'",
	"'(?<!/\/)modules/liens/\"'"
	);

	$urlout = array(
	"news.html\"",
	"article-\\1.html\"",
	"article-\\1.html'",	
	"modules/news/article-\\1-page-\\2.html",
	"article-cat-\\1-start-\\2.html",
	"article-cat-\\1.html",
	"article-print-\\1.html",
	"modules/news/archive.html\"",
	"archive-\\1-\\2.html",
	"dossiers.html\"",
	"modules/wfsection/dossiers-cat-\\1.html",
	"dossiers-cat-\\1.html",
	"modules/wfsection/dossier-\\1.html",
	"modules/wfsection/page-\\1-dossier-\\2.html'",
	"forum.html\"",
	"modules/ipboard/forum-cat-\\2.html\"",
	"modules/ipboard/forum-cat-\\2.html'",
	"modules/ipboard/forum-post-\\2.html\"",
	"modules/ipboard/forum-post-\\2.html'",
	"modules/ipboard/forum-post-\\1.html\"'",
	"modules/ipboard/forum-catpage-\\2-\\3-\\4-\\5-\\6.html",
	"forum.html",
	"modules/ipboard/forum-board-\\2.html",
	"modules/ipboard/forum-post-\\2-getnewpost.html",
	"modules/ipboard/forum-post-\\2-getlastpost.html",
	"modules/ipboard/forum-board-\\2-\\3.html",
	"modules/ipboard/forum-post-page-\\2-\\3.html",
	"modules/ipboard/forum-post-\\1-\\2-\\3-getlastpost.html",
	"modules/ipboard/forum-post-\\1-\\2-\\3.html",
	"downloads.html\"",
	"modules/mydownloads/downloads-cat-\\1.html",
	"modules/mydownloads/downloads-\\1-\\2.html",
	"gallerie.html\"",
	"sondage.html\"",
	"liens.html\"",
	"modules/mylinks/links-cat-\\1.html",
	"modules/mylinks/link-\\1-\\2.html",
	"membres.html\"",
	"contact.html\"",
	"bannieres.html\""
	);

	$s = preg_replace($urlin, $urlout, $s);
	return $s;
}
?>